// $RCSfile: conf_tab.c,v $Revision: 1.12 $Date: 2005/03/11 15:08:57
// This file contains the following arrays:
// HK_req_FCU_005 as per HK-ICD 1.11, 3rd modification
// FCU_non_per_HK_002 as per HK-ICD 1.9
// HK_req_LCU_009 as per HK ICD 1.11 for LCU-FM
// Essential_HK_001 as per HK-ICD 1.11
// IV curve FM
// LOscan as per TM-ICD 1.8
// commands to dump table
// Frequency max
// Cmd_safe_001
//-----------------------------------------------------------
#include "conf_tab.h"
#include "conf_tab.dox"

//--- variables ---------------------
//! length of the tables of this file
unsigned int Size_hk_FCU, Size_hk_LCU, Single_HK_len, LCU_vectorscan_commands_len;
unsigned int LCU_IV_param_len, single_HK_LCU_cmds_len, LCU_frequency_max_len;
unsigned int goto_safe_commands_len;

// HK_req_FCU_005 as per HK-ICD 1.11, 3rd modification
//! Sequence of LS Commands to be issued by hk_ask to gather HK FCU data
unsigned int HK_FCU_commands[] =
{
	0x8C01FFFF,	0x8C03FFFF,	0x8C04FFFF,	0x8C40FFFF,	0x8C41FFFF,
	0x8C42FFFF,	0x8C43FFFF,	0x8C44FFFF,	0x8C45FFFF,	0x8C48FFFF,
	0x8C49FFFF,	0x8C4AFFFF,	0x8C4BFFFF,	0x8C4CFFFF,	0x8C4DFFFF,
	0x8C4EFFFF,	0x8C4FFFFF,	0x8C50FFFF,	0x8C51FFFF,	0x8C60FFFF,
	0x8C61FFFF,	0x8C62FFFF,	0x8C63FFFF,	0x8C64FFFF,	0x8C65FFFF,
	0x8C66FFFF,	0x8C78FFFF,	0x8C79FFFF,	0x8C81FFFF,	0x8C83FFFF,
	0x8C84FFFF,	0x8CC0FFFF,	0x8CC1FFFF,	0x8CC2FFFF,	0x8CC3FFFF,
	0x8CC4FFFF,	0x8CC5FFFF,	0x8CC8FFFF,	0x8CC9FFFF,	0x8CCAFFFF,
	0x8CCBFFFF,	0x8CCCFFFF,	0x8CCDFFFF,	0x8CCEFFFF,	0x8CCFFFFF,
	0x8CE8FFFF,	0x8CE9FFFF,	0x8CEAFFFF,	0x8CEBFFFF,	0x8CECFFFF,
	0x8CEDFFFF,	0x8CEEFFFF,	0x8CEFFFFF,	0x8CF0FFFF,	0x8CF1FFFF,
	0x8CF2FFFF,	0x8CF3FFFF,	0x8CF4FFFF,	0x8CF5FFFF,	0x8CF6FFFF,
	0x8CF8FFFF,	0x8CF9FFFF,	0x8CFAFFFF,	0x8CFBFFFF,	0x8D01FFFF,
	0x8D03FFFF,	0x8D04FFFF,	0x8D40FFFF,	0x8D41FFFF,	0x8D42FFFF,
	0x8D43FFFF,	0x8D44FFFF,	0x8D45FFFF,	0x8D48FFFF,	0x8D49FFFF,
	0x8D4AFFFF,	0x8D4BFFFF,	0x8D4CFFFF,	0x8D4DFFFF,	0x8D4EFFFF,
	0x8D4FFFFF,	0x8D50FFFF,	0x8D51FFFF,	0x8D60FFFF,	0x8D61FFFF,
	0x8D62FFFF,	0x8D63FFFF,	0x8D64FFFF,	0x8D65FFFF,	0x8D66FFFF,
	0x8D78FFFF,	0x8D79FFFF,	0x8D81FFFF,	0x8D83FFFF,	0x8D84FFFF,
	0x8DC0FFFF,	0x8DC1FFFF,	0x8DC2FFFF,	0x8DC3FFFF,	0x8DC4FFFF,
	0x8DC5FFFF,	0x8DC8FFFF,	0x8DC9FFFF,	0x8DCAFFFF,	0x8DCBFFFF,
	0x8DCCFFFF,	0x8DCDFFFF,	0x8DCEFFFF,	0x8DCFFFFF,	0x8DE8FFFF,
	0x8DE9FFFF,	0x8DEAFFFF,	0x8DEBFFFF,	0x8DECFFFF,	0x8DEDFFFF,
	0x8DEEFFFF,	0x8DEFFFFF,	0x8DF0FFFF,	0x8DF1FFFF,	0x8DF2FFFF,
	0x8DF3FFFF,	0x8DF4FFFF,	0x8DF5FFFF,	0x8DF6FFFF,	0x8DF8FFFF,
	0x8DF9FFFF,	0x8DFAFFFF,	0x8DFBFFFF,	0x8F01FFFF,	0x8F03FFFF,
	0x8F04FFFF,	0x8F08FFFF,	0x8F09FFFF,	0x8F0AFFFF,	0x8F0BFFFF,
	0x8F0CFFFF,	0x8F40FFFF,	0x8F41FFFF,	0x8F42FFFF,	0x8F43FFFF,
	0x8F44FFFF,	0x8F45FFFF,	0x8F46FFFF,	0x8F47FFFF,	0x8F48FFFF,
	0x8F49FFFF,	0x8F4AFFFF,	0x8F4BFFFF,	0x8F4CFFFF,	0x8F4DFFFF,
	0x8F4EFFFF,	0x8F4FFFFF,	0x8F50FFFF,	0x8F51FFFF,	0x8F52FFFF,
	0x8F53FFFF,	0x8F54FFFF,	0x8F55FFFF,	0x8F56FFFF,	0x8F58FFFF,
	0x8F59FFFF,	0x8F5AFFFF,	0x8F5BFFFF,	0x8F5CFFFF,	0x8F5DFFFF,
	0x8F60FFFF,	0x8F61FFFF,	0x8F62FFFF,	0x8F63FFFF,	0x8F64FFFF,
	0x8F65FFFF,	0x8F66FFFF,	0x8F67FFFF,	0xCF050078,	0x8F78FFFF,
	0xCF050079,	0x8F79FFFF,	0xCF05007A,	0x8F7AFFFF,	0xCF05007B,
	0x8F7BFFFF,	0xCF05007C,	0x8F7CFFFF,	0xCF05007D,	0x8F7DFFFF,
	0x8F7EFFFF,	0x8F7FFFFF,	0x8F10FFFF,	0x8F11FFFF
};

// FCU_non_per_HK_003 as per HK-ICD 1.12
//! Sequence of LS Commands to be issued by single hk to gather HK data
unsigned int Single_HK_FCU_commands[] =
{
	0x8C13FFFF,	0x8CA8FFFF,	0x8CA9FFFF,	0x8CABFFFF,	0x8CACFFFF,
	0x8CAEFFFF,	0x8CAFFFFF,	0x8CB1FFFF,	0x8CB2FFFF,	0x8CB4FFFF,
	0x8CB5FFFF,	0x8D13FFFF,	0x8DA8FFFF,	0x8DA9FFFF,	0x8DABFFFF,
	0x8DACFFFF,	0x8DAEFFFF,	0x8DAFFFFF,	0x8DB1FFFF,	0x8DB2FFFF,
	0x8DB4FFFF,	0x8DB5FFFF,	0x8F11FFFF,	0x8F13FFFF,	0x8F14FFFF,
	0x8F15FFFF,	0x8F16FFFF,	0x8F17FFFF,	0x8F18FFFF,	0x8F19FFFF,
	0x8F26FFFF,	0x8C20FFFF,	0x8C22FFFF,	0x8D20FFFF,	0x8D22FFFF,
	0x8F10FFFF,	0x8C10FFFF,	0x8D10FFFF,	0x8C24FFFF,	0x8D24FFFF,
	0x8CFCFFFF,	0x8CFDFFFF,	0x8DFCFFFF,	0x8DFDFFFF
};



// HK_req_LCU_009 as per HK ICD 1.11 for LCU-FM
//! Sequence of LS Commands to be issued by hk_ask to gather HK LCU data
unsigned int HK_LCU_commands[] =
{
	0xB200FFFF,	0xB031FFFF,	0xB032FFFF,	0xB033FFFF,	0xB034FFFF,
	0xB035FFFF,	0xB036FFFF,	0xB037FFFF,	0xB038FFFF,	0xB039FFFF,
	0xB03AFFFF,	0xB03BFFFF,	0xB03CFFFF,	0xB03DFFFF,	0xB03EFFFF,
	0xB041FFFF,	0xB042FFFF,	0xB043FFFF,	0xB044FFFF,	0xB045FFFF,
	0xB046FFFF,	0xB047FFFF,	0xB051FFFF,	0xB052FFFF,	0xB053FFFF,
	0xB054FFFF,	0xB055FFFF,	0xB056FFFF,	0xB057FFFF,	0xB080FFFF,
	0xB081FFFF,	0xB082FFFF,	0xB083FFFF,	0xB084FFFF,	0xB085FFFF,
	0xB086FFFF,	0xB089FFFF,	0xB08AFFFF,	0xB08BFFFF,	0xB08CFFFF,
	0xB08DFFFF,	0xB08EFFFF,	0xB090FFFF,	0xB091FFFF,	0xB092FFFF,
	0xB093FFFF,	0xB0A1FFFF,	0xB0A2FFFF,	0xB0A3FFFF,	0xB0A4FFFF,
	0xB0B0FFFF,	0xB0B1FFFF,	0xB0B2FFFF,	0xB0B3FFFF,	0xB0B4FFFF,
	0xB0B5FFFF,	0xB20AFFFF,	0xB208FFFF,	0xB209FFFF,	0xB201FFFF,
	0xB20BFFFF,	0xB20CFFFF,	0xB204FFFF,	0xB20EFFFF,	0xF30ACC7A,
	0xB33AFFFF,	0xF30ACC7A,	0xB33CFFFF,	0xF30ACC7A,	0xB33EFFFF
};

// Essential_HK_001 as per HK-ICD 1.11
//! Vector of the positions (byte) of the HK to be copied on the essential HK. Always two bytes are copied.
int essential_hk_positions[HK_ESS_PARAMS_NR] =
{
	64,		68,		72,		76,		80,		84,		108,	112,	120,	156,
	218,	220,	254,	256,	278,	280,	284,	346,	348,	382,
	384,	406,	408,	412,	414,	416,	418,	420,	448,	450,
	452,	454,	456,	482,	536,	538,	540,	552,	576,	654,
	656,	782,	784,	872,	964,	966,	968,	970,	978
};

// IV curve FM
// Sequence of HK request to collect IV-data
unsigned int LCU_IV_param[] =
{
	0xF30ACC7A,	0xB330FFFF,	0xB328FFFF,	0xB32AFFFF,	0xB32CFFFF,
	0xB32EFFFF,	0xB320FFFF,	0xB322FFFF,	0xB324FFFF,	0xB326FFFF
};

// LOscan as per TM-ICD 1.8
//! Sequence of LS Commands to be issued by LOscan to gather LCU data
unsigned int LCU_vectorscan_commands[] =
{
	0xB041FFFF,	0xB042FFFF,	0xB043FFFF,	0xB044FFFF,	0xB045FFFF,
	0xB046FFFF,	0xB047FFFF,	0xB051FFFF,	0xB052FFFF,	0xB053FFFF,
	0xB054FFFF,	0xB055FFFF,	0xB056FFFF,	0xB057FFFF,	0xB080FFFF,
	0x8C61FFFF,	0x8D61FFFF
};

// commands to dump table
//! Sequence of LS Commands to be issued by single hk to gather HK data
unsigned int Single_HK_LCU_commands[] =
{
	0xF10F2081,	0xF10F0001,	0xF10F2001,	0xF10F2091,	0xF10F4091,	0xF10F0011,	0xF10F4011,	0xF10F2011,	0xF10F6011,	0xF10F6091,	0xF10F20A1,
	0xF10F40A1,	0xF10F0021,	0xF10F4021,	0xF10F2021,	0xF10F6021,	0xF10F60A1,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,
	0x0FFFFFFF,	0x0FFFFFFF,	0xF10F20C1,	0xF10F40C1,	0xF10F0041,	0xF10F4041,	0xF10F2041,	0xF10F60C1,	0xF10F6041,	0xF10F20D1,	0xF10F40D1,
	0xF10F0051,	0xF10F4051,	0xF10F2051,	0xF10F60D1,	0xF10F6051,	0xF10F20E1,	0xF10F40E1,	0xF10F0061,	0xF10F4061,	0xF10F2061,	0xF10F60E1,
	0xF10F6061,	0xF10F20F1,	0xF10F40F1,	0xF10F0071,	0xF10F4071,	0xF10F2071,	0xF10F60F1,	0xF10F6071,	0xF10F8081,	0xF10F8001,	0xF10FA001,
	0xF10F2082,	0xF10F0002,	0xF10F2002,	0xF10F2092,	0xF10F4092,	0xF10F0012,	0xF10F4012,	0xF10F2012,	0xF10F6012,	0xF10F6092,	0xF10F20A2,
	0xF10F40A2,	0xF10F0022,	0xF10F4022,	0xF10F2022,	0xF10F6022,	0xF10F60A2,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,
	0x0FFFFFFF,	0x0FFFFFFF,	0xF10F20C2,	0xF10F40C2,	0xF10F0042,	0xF10F4042,	0xF10F2042,	0xF10F60C2,	0xF10F6042,	0xF10F20D2,	0xF10F40D2,
	0xF10F0052,	0xF10F4052,	0xF10F2052,	0xF10F60D2,	0xF10F6052,	0xF10F20E2,	0xF10F40E2,	0xF10F0062,	0xF10F4062,	0xF10F2062,	0xF10F60E2,
	0xF10F6062,	0xF10F20F2,	0xF10F40F2,	0xF10F0072,	0xF10F4072,	0xF10F2072,	0xF10F60F2,	0xF10F6072,	0xF10F8082,	0xF10F8002,	0xF10FA002,
	0xF10F2083,	0xF10F0003,	0xF10F2003,	0xF10F2093,	0xF10F4093,	0xF10F0013,	0xF10F4013,	0xF10F2013,	0xF10F6013,	0xF10F6093,	0xF10F20A3,
	0xF10F40A3,	0xF10F0023,	0xF10F4023,	0xF10F2023,	0xF10F6023,	0xF10F60A3,	0xF10F20B3,	0xF10F40B3,	0xF10F0033,	0xF10F4033,	0xF10F2033,
	0xF10F6033,	0xF10F60B3,	0xF10F20C3,	0xF10F40C3,	0xF10F0043,	0xF10F4043,	0xF10F2043,	0xF10F60C3,	0xF10F6043,	0xF10F20D3,	0xF10F40D3,
	0xF10F0053,	0xF10F4053,	0xF10F2053,	0xF10F60D3,	0xF10F6053,	0xF10F20E3,	0xF10F40E3,	0xF10F0063,	0xF10F4063,	0xF10F2063,	0xF10F60E3,
	0xF10F6063,	0xF10F20F3,	0xF10F40F3,	0xF10F0073,	0xF10F4073,	0xF10F2073,	0xF10F60F3,	0xF10F6073,	0xF10F8083,	0xF10F8003,	0xF10FA003,
	0xF10F2084,	0xF10F0004,	0xF10F2004,	0xF10F2094,	0xF10F4094,	0xF10F0014,	0xF10F4014,	0xF10F2014,	0xF10F6014,	0xF10F6094,	0xF10F20A4,
	0xF10F40A4,	0xF10F0024,	0xF10F4024,	0xF10F2024,	0xF10F6024,	0xF10F60A4,	0xF10F20B4,	0xF10F40B4,	0xF10F0034,	0xF10F4034,	0xF10F2034,
	0xF10F6034,	0xF10F60B4,	0xF10F20C4,	0xF10F40C4,	0xF10F0044,	0xF10F4044,	0xF10F2044,	0xF10F60C4,	0xF10F6044,	0xF10F20D4,	0xF10F40D4,
	0xF10F0054,	0xF10F4054,	0xF10F2054,	0xF10F60D4,	0xF10F6054,	0xF10F20E4,	0xF10F40E4,	0xF10F0064,	0xF10F4064,	0xF10F2064,	0xF10F60E4,
	0xF10F6064,	0xF10F20F4,	0xF10F40F4,	0xF10F0074,	0xF10F4074,	0xF10F2074,	0xF10F60F4,	0xF10F6074,	0xF10F8084,	0xF10F8004,	0xF10FA004,
	0xF10F2085,	0xF10F0005,	0xF10F2005,	0xF10F2095,	0xF10F4095,	0xF10F0015,	0xF10F4015,	0xF10F2015,	0xF10F6015,	0xF10F6095,	0xF10F20A5,
	0xF10F40A5,	0xF10F0025,	0xF10F4025,	0xF10F2025,	0xF10F6025,	0xF10F60A5,	0xF10F20B5,	0xF10F40B5,	0xF10F0035,	0xF10F4035,	0xF10F2035,
	0xF10F6035,	0xF10F60B5,	0xF10F20C5,	0xF10F40C5,	0xF10F0045,	0xF10F4045,	0xF10F2045,	0xF10F60C5,	0xF10F6045,	0xF10F20D5,	0xF10F40D5,
	0xF10F0055,	0xF10F4055,	0xF10F2055,	0xF10F60D5,	0xF10F6055,	0xF10F20E5,	0xF10F40E5,	0xF10F0065,	0xF10F4065,	0xF10F2065,	0xF10F60E5,
	0xF10F6065,	0xF10F20F5,	0xF10F40F5,	0xF10F0075,	0xF10F4075,	0xF10F2075,	0xF10F60F5,	0xF10F6075,	0xF10F8085,	0xF10F8005,	0xF10FA005,
	0xF10F2086,	0xF10F0006,	0xF10F2006,	0xF10F2096,	0xF10F4096,	0xF10F0016,	0xF10F4016,	0xF10F2016,	0xF10F6016,	0xF10F6096,	0xF10F20A6,
	0xF10F40A6,	0xF10F0026,	0xF10F4026,	0xF10F2026,	0xF10F6026,	0xF10F60A6,	0xF10F20B6,	0xF10F40B6,	0xF10F0036,	0xF10F4036,	0xF10F2036,
	0xF10F6036,	0xF10F60B6,	0xF10F20C6,	0xF10F40C6,	0xF10F0046,	0xF10F4046,	0xF10F2046,	0xF10F60C6,	0xF10F6046,	0xF10F20D6,	0xF10F40D6,
	0xF10F0056,	0xF10F4056,	0xF10F2056,	0xF10F60D6,	0xF10F6056,	0xF10F20E6,	0xF10F40E6,	0xF10F0066,	0xF10F4066,	0xF10F2066,	0xF10F60E6,
	0xF10F6066,	0xF10F20F6,	0xF10F40F6,	0xF10F0076,	0xF10F4076,	0xF10F2076,	0xF10F60F6,	0xF10F6076,	0xF10F8086,	0xF10F8006,	0xF10FA006,
	0xF10F2087,	0xF10F0007,	0xF10F2007,	0xF10F2097,	0xF10F4097,	0xF10F0017,	0xF10F4017,	0xF10F2017,	0xF10F6017,	0xF10F6097,	0xF10F20A7,
	0xF10F40A7,	0xF10F0027,	0xF10F4027,	0xF10F2027,	0xF10F6027,	0xF10F60A7,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,
	0x0FFFFFFF,	0x0FFFFFFF,	0xF10F20C7,	0xF10F40C7,	0xF10F0047,	0xF10F4047,	0xF10F2047,	0xF10F60C7,	0xF10F6047,	0xF10F20D7,	0xF10F40D7,
	0xF10F0057,	0xF10F4057,	0xF10F2057,	0xF10F60D7,	0xF10F6057,	0xF10F20E7,	0xF10F40E7,	0xF10F0067,	0xF10F4067,	0xF10F2067,	0xF10F60E7,
	0xF10F6067,	0xF10F20F7,	0xF10F40F7,	0xF10F0077,	0xF10F4077,	0xF10F2077,	0xF10F60F7,	0xF10F6077,	0xF10F8087,	0xF10F8007,	0xF10FA007,
	0xF10F2088,	0xF10F0008,	0xF10F2008,	0xF10F2098,	0xF10F4098,	0xF10F0018,	0xF10F4018,	0xF10F2018,	0xF10F6018,	0xF10F6098,	0xF10F20A8,
	0xF10F40A8,	0xF10F0028,	0xF10F4028,	0xF10F2028,	0xF10F6028,	0xF10F60A8,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,
	0x0FFFFFFF,	0x0FFFFFFF,	0xF10F20C8,	0xF10F40C8,	0xF10F0048,	0xF10F4048,	0xF10F2048,	0xF10F60C8,	0xF10F6048,	0xF10F20D8,	0xF10F40D8,
	0xF10F0058,	0xF10F4058,	0xF10F2058,	0xF10F60D8,	0xF10F6058,	0xF10F20E8,	0xF10F40E8,	0xF10F0068,	0xF10F4068,	0xF10F2068,	0xF10F60E8,
	0xF10F6068,	0xF10F20F8,	0xF10F40F8,	0xF10F0078,	0xF10F4078,	0xF10F2078,	0xF10F60F8,	0xF10F6078,	0xF10F8088,	0xF10F8008,	0xF10FA008,
	0xF10F2089,	0xF10F0009,	0xF10F2009,	0xF10F2099,	0xF10F4099,	0xF10F0019,	0xF10F4019,	0xF10F2019,	0xF10F6019,	0xF10F6099,	0xF10F20A9,
	0xF10F40A9,	0xF10F0029,	0xF10F4029,	0xF10F2029,	0xF10F6029,	0xF10F60A9,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,
	0x0FFFFFFF,	0x0FFFFFFF,	0xF10F20C9,	0xF10F40C9,	0xF10F0049,	0xF10F4049,	0xF10F2049,	0xF10F60C9,	0xF10F6049,	0xF10F20D9,	0xF10F40D9,
	0xF10F0059,	0xF10F4059,	0xF10F2059,	0xF10F60D9,	0xF10F6059,	0xF10F20E9,	0xF10F40E9,	0xF10F0069,	0xF10F4069,	0xF10F2069,	0xF10F60E9,
	0xF10F6069,	0xF10F20F9,	0xF10F40F9,	0xF10F0079,	0xF10F4079,	0xF10F2079,	0xF10F60F9,	0xF10F6079,	0xF10F8089,	0xF10F8009,	0xF10FA009,
	0xF10F208A,	0xF10F000A,	0xF10F200A,	0xF10F209A,	0xF10F409A,	0xF10F001A,	0xF10F401A,	0xF10F201A,	0xF10F601A,	0xF10F609A,	0xF10F20AA,
	0xF10F40AA,	0xF10F002A,	0xF10F402A,	0xF10F202A,	0xF10F602A,	0xF10F60AA,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,
	0x0FFFFFFF,	0x0FFFFFFF,	0xF10F20CA,	0xF10F40CA,	0xF10F004A,	0xF10F404A,	0xF10F204A,	0xF10F60CA,	0xF10F604A,	0xF10F20DA,	0xF10F40DA,
	0xF10F005A,	0xF10F405A,	0xF10F205A,	0xF10F60DA,	0xF10F605A,	0xF10F20EA,	0xF10F40EA,	0xF10F006A,	0xF10F406A,	0xF10F206A,	0xF10F60EA,
	0xF10F606A,	0xF10F20FA,	0xF10F40FA,	0xF10F007A,	0xF10F407A,	0xF10F207A,	0xF10F60FA,	0xF10F607A,	0xF10F808A,	0xF10F800A,	0xF10FA00A,
	0xF10F208B,	0xF10F000B,	0xF10F200B,	0xF10F209B,	0xF10F409B,	0xF10F001B,	0xF10F401B,	0xF10F201B,	0xF10F601B,	0xF10F609B,	0xF10F20AB,
	0xF10F40AB,	0xF10F002B,	0xF10F402B,	0xF10F202B,	0xF10F602B,	0xF10F60AB,	0xF10F20BB,	0xF10F40BB,	0xF10F003B,	0xF10F403B,	0xF10F203B,
	0xF10F603B,	0xF10F60BB,	0xF10F20CB,	0xF10F40CB,	0xF10F004B,	0xF10F404B,	0xF10F204B,	0xF10F60CB,	0xF10F604B,	0xF10F20DB,	0xF10F40DB,
	0xF10F005B,	0xF10F405B,	0xF10F205B,	0xF10F60DB,	0xF10F605B,	0xF10F20EB,	0xF10F40EB,	0xF10F006B,	0xF10F406B,	0xF10F206B,	0xF10F60EB,
	0xF10F606B,	0xF10F20FB,	0xF10F40FB,	0xF10F007B,	0xF10F407B,	0xF10F207B,	0xF10F60FB,	0xF10F607B,	0xF10F808B,	0xF10F800B,	0xF10FA00B,
	0xF10F208C,	0xF10F000C,	0xF10F200C,	0xF10F209C,	0xF10F409C,	0xF10F001C,	0xF10F401C,	0xF10F201C,	0xF10F601C,	0xF10F609C,	0xF10F20AC,
	0xF10F40AC,	0xF10F002C,	0xF10F402C,	0xF10F202C,	0xF10F602C,	0xF10F60AC,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,
	0x0FFFFFFF,	0x0FFFFFFF,	0xF10F20CC,	0xF10F40CC,	0xF10F004C,	0xF10F404C,	0xF10F204C,	0xF10F60CC,	0xF10F604C,	0xF10F20DC,	0xF10F40DC,
	0xF10F005C,	0xF10F405C,	0xF10F205C,	0xF10F60DC,	0xF10F605C,	0xF10F20EC,	0xF10F40EC,	0xF10F006C,	0xF10F406C,	0xF10F206C,	0xF10F60EC,
	0xF10F606C,	0xF10F20FC,	0xF10F40FC,	0xF10F007C,	0xF10F407C,	0xF10F207C,	0xF10F60FC,	0xF10F607C,	0xF10F808C,	0xF10F800C,	0xF10FA00C,
	0xF10F208D,	0xF10F000D,	0xF10F200D,	0xF10F209D,	0xF10F409D,	0xF10F001D,	0xF10F401D,	0xF10F201D,	0xF10F601D,	0xF10F609D,	0xF10F20AD,
	0xF10F40AD,	0xF10F002D,	0xF10F402D,	0xF10F202D,	0xF10F602D,	0xF10F60AD,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,
	0x0FFFFFFF,	0x0FFFFFFF,	0xF10F20CD,	0xF10F40CD,	0xF10F004D,	0xF10F404D,	0xF10F204D,	0xF10F60CD,	0xF10F604D,	0xF10F20DD,	0xF10F40DD,
	0xF10F005D,	0xF10F405D,	0xF10F205D,	0xF10F60DD,	0xF10F605D,	0xF10F20ED,	0xF10F40ED,	0xF10F006D,	0xF10F406D,	0xF10F206D,	0xF10F60ED,
	0xF10F606D,	0xF10F20FD,	0xF10F40FD,	0xF10F007D,	0xF10F407D,	0xF10F207D,	0xF10F60FD,	0xF10F607D,	0xF10F808D,	0xF10F800D,	0xF10FA00D,
	0xF10F208E,	0xF10F000E,	0xF10F200E,	0xF10F209E,	0xF10F409E,	0xF10F001E,	0xF10F401E,	0xF10F201E,	0xF10F601E,	0xF10F609E,	0xF10F20AE,
	0xF10F40AE,	0xF10F002E,	0xF10F402E,	0xF10F202E,	0xF10F602E,	0xF10F60AE,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,	0x0FFFFFFF,
	0x0FFFFFFF,	0x0FFFFFFF,	0xF10F20CE,	0xF10F40CE,	0xF10F004E,	0xF10F404E,	0xF10F204E,	0xF10F60CE,	0xF10F604E,	0xF10F20DE,	0xF10F40DE,
	0xF10F005E,	0xF10F405E,	0xF10F205E,	0xF10F60DE,	0xF10F605E,	0xF10F20EE,	0xF10F40EE,	0xF10F006E,	0xF10F406E,	0xF10F206E,	0xF10F60EE,
	0xF10F606E,	0xF10F20FE,	0xF10F40FE,	0xF10F007E,	0xF10F407E,	0xF10F207E,	0xF10F60FE,	0xF10F607E,	0xF10F808E,	0xF10F800E,	0xF10FA00E
};

//Frequency max
//! Indicates the maximum applicable frequency index
unsigned int LCU_frequency_max[] =
{
	0,	0,	0,	0,	0,	0,	0,	0,	31,	31,
	0,	0,	0,	0,	0,	31,	31,	0,	0,	0,
	0,	0,	31,	31,	0,	0,	0,	0,	0,	31,
	31,	0,	0,	0,	0,	0,	31,	31,	0,	0,
	0,	0,	0,	31,	31,	0,	30,	0,	0,	0,
	31,	31,	30,	30,	30
};

// Cmd_safe_001
//! Sequence of LS command to issue in a goto_safe TC
unsigned int goto_safe_commands[] =
{
	0xF0020202, /* HL_standby */
	0xCF010000, /* HF_band_0 */
	0xFF900000, /* HR_stop */
	0xE4000011, /* HWH_laser_1_off */
	0xE4000012, /* HWH_laser_2_off */
	0xE8000011, /* HWV_laser_1_off */
	0xE8000012, /* HWV_laser_2_off */
	
	0xE400002A,  /* WBS_H set zero switch */
	0xE400000C,  /* WBS_H set COMB off */
	0xE41FFFEF,  /* WBS_H set att to max value */

	0xE800002A,	/* WBS_V set zero switch */
	0xE800000C,	/* WBS_V set COMB off */
	0xE81FFFEF,	/* WBS_V set att to max value */
	
	0xFC000005,  /* WBS_stop */

	/* set HRS_H attenuation to max */
	0xD590001F,    /*block 8*/
	0xD5B0001F,    /*block 7*/
	0xD5D0001F,    /*block 6*/
	0xD5F0001F,    /*block 5*/
	0xD5E0001F,    /*block 4*/
	0xD5C0001F,    /*block 3*/
	0xD5A0001F,    /*block 2*/
	0xD580001F,    /*block 1*/
	
	/* set HRS_V attenuation to max */
	0xD990001F,     /*block 8*/
	0xD9B0001F,     /*block 7*/
	0xD9D0001F,     /*block 6*/ 
	0xD9F0001F,     /*block 5*/ 
	0xD9E0001F,     /*block 4*/
	0xD9C0001F,     /*block 3*/ 
	0xD9A0001F,     /*block 2*/ 
	0xD980001F     /*block 1*/
};


//----------- init_conf_tables_len ---------------------------------------------
//! stores the length of the tables of this file into appropriate global variables
void init_conf_tables_len (void)
{
	Size_hk_FCU = sizeof(HK_FCU_commands);
	Size_hk_LCU = sizeof(HK_LCU_commands);
	Single_HK_len = sizeof(Single_HK_FCU_commands);
	LCU_vectorscan_commands_len = sizeof(LCU_vectorscan_commands);
	LCU_IV_param_len = sizeof(LCU_IV_param);
	single_HK_LCU_cmds_len = sizeof(Single_HK_LCU_commands);
	LCU_frequency_max_len = sizeof(LCU_frequency_max);
	goto_safe_commands_len = sizeof(goto_safe_commands);
}
